function y = solveauto(i)
%	solveauto (image) -- Extract the structure within an autostereogram
%			     using a coarse to find method.

[a b] = size(i);

trans = autoshift(i);
['The expected translation is ' num2str(trans) ' pixels']
trans = floor(trans+2);		%%%  This is very weird.  I would have
				%%%  expected -2 to be better, but using +2
				%%%  is *needed* for the basketball image. :-?

if (trans < 1 | trans > b/2),
  ['WARNING!  Translation outside allowed range (1, ' num2str(b/2) ')']
end;
ir = i(:,(trans+1):b);
il = i(:,1:b-trans);
y = c2f(il, ir, 5, 0, 5, 5*b/trans);

end;

% This software provided by Mark Maimone (mwm@cmu.edu) as part of his Ph.D.
% thesis.  For more info, please see http://www.cs.cmu.edu/~mwm/thesis
%
% Release Date: 9 October 1997
%
% 	Carnegie Mellon University and the individuals associated with this
% project assume no liability for the fitness or performance of this software
% or any damages resulting from its use.  It's free, you get what you pay
% for...
